Retrieves rolled up normalized billing data for a given meter for a given range of months- Result includes cost, use, unit cost on a monthly basis.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| meterId | The identifier for the meter being retrieved | integer (int32) | Required |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| numberOfYears | Number of years of data to return includes the current year - Defaults to two years of months (24 for actual and savings, and 24 or 26 (if 13 accounting periods) for calendarized and normalized) | integer (int32) | Optional |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
MeterDigestNormalizedMonthlyResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| commonUseUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||
| meterCode | The meter code | string | |||||||||||||||||||||||||||||||||||||||
| meterId | The meter identifier | integer (int32) | |||||||||||||||||||||||||||||||||||||||
| meterInfo | The meter info | string | |||||||||||||||||||||||||||||||||||||||
| nativeDemandUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||
| nativeUseUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||
| results | An array of monthly data | MeterDigestNormalizedMonthlyResponse+Results[] | |||||||||||||||||||||||||||||||||||||||
|
MeterDigestNormalizedMonthlyResponse+Results properties
|
|||||||||||||||||||||||||||||||||||||||||
| updated | The date and time the data was updated | string (date-time) | |||||||||||||||||||||||||||||||||||||||
Example Response
{ "commonUseUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "meterCode": "string", "meterId": 1, "meterInfo": "string", "nativeDemandUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "nativeUseUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "results": [
{ "calendarPeriod": 1, "calendarYear": 1, "commonUse": 1.0, "cumulativeNativeUse": 1.0, "days": 1, "fiscalPeriod": 1, "fiscalYear": 1, "loadFactor": 1.0, "nativeActualDemand": 1.0, "nativeBilledDemand": 1.0, "nativeUse": 1.0, "periodName": "string"
}
], "updated": "2026-03-30"
}
204
No Content
The request succeeded. No content is returned in the response body.